[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# UnicodeFormatBuf

Format a Unicode string with given arguments and store the result in a unicodebuffer.

## Declaration

Source position: sysunih.inc line 33

`function UnicodeFormatBuf(`
`var Buffer;`
`BufLen: Cardinal;`
`const Fmt;`
`fmtLen: Cardinal;`
`const Args: array of Const`
`):Cardinal; function UnicodeFormatBuf(`
`var Buffer;`
`BufLen: Cardinal;`
`const Fmt;`
`fmtLen: Cardinal;`
`const Args: array of Const;`
`const FormatSettings: TFormatSettings`
`):Cardinal;`

## Description

UnicodeFormatBuf is the Unicode equivalent of FormatBuf. It follows the same rules and uses the same formatting st

## Errors

In case of error, an EConvertError exception is raised.

## See also

FormatBuf |  | Format a string with given arguments and store the result in a buffer.
UnicodeFormat |  | Format Unicode string